{% extends "siswa/userbase.html.twig" %}

{% block body %}


    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Pembayaran
        {% endblock %}

    {% endembed %}

    <section class="container-fluid mt-3">
{#        <div class="div-color p-3 mb-3 text-left"#}
{#             style="background-color: var(--primaryColorLight); color: var(--primaryColor); border: 1px dashed  var(--primaryColor)">#}
{#            {% if app.request.query.get('voucher') == true %}#}

{#                <p class="font-weight-bold f12 mb-1">#}
{#                    SEMUAADAGURUNYA#}
{#                </p>#}
{#                <p class="f08 mb-0">#}
{#                    Discount 15% untuk pemesanan pertama.#}
{#                </p>#}

{#            {% else %}#}

{#                <div class="d-flex justify-content-between align-items-center">#}
{#                    <p class="f08 mb-0">#}
{#                        Kode Kupon atau Referral#}
{#                    </p>#}
{#                    <a class="font-weight-bold f10 mb-1" data-toggle="modal"#}
{#                       data-target="#modalPencarianVoucher">#}
{#                        GUNAKAN#}
{#                    </a>#}

{#                </div>#}
{#            {% endif %}#}
{#        </div>#}

        <div class="div-color p-3 mb-3 text-left"
             style="background-color: var(--light); border: 1px solid  var(--grey-d)">
            <div class="accordion" id="accordionExample">
                {% for v in cart %}
                    <div class="card">
                        <div class="card-header" id="headingOne-{{ loop.index }}">
                            <div class="d-flex justify-content-between align-items-center"
                                 style="margin-bottom: 16px; padding-bottom: 1em; border-bottom: 1px solid #ddd">
                                <div class="header-profile mb-0">
                                    <div class="gambar-div-sm">
                                        <img src="{{ v.getTransaction().getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() != null ? v.getTransaction().getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() : asset('images/no-image.png') }}">
                                    </div>
                                    <div class="content">
                                        <p class="title mb-0">{{ v.getTransaction().getTentorSubject().getUser().getTentorProfile().getFullName() }}</p>
                                        <p class="subtitle mb-0">{{ v.getTransaction().getTentorSubject().getCategory().getName() }}
                                            - {{ v.getTransaction().getTentorSubject().getLevel().getName() }} </p>
                                    </div>

                                </div>
                                <button class="btn btn-link" type="button" data-toggle="collapse"
                                        data-target="#collapseOne-{{ loop.index }}" aria-expanded="true"
                                        aria-controls="collapseOne">
                                    <i class="fa fa-chevron-down"></i>
                                </button>

                            </div>
                        </div>
                        <div id="collapseOne-{{ loop.index }}" class="collapse"
                             aria-labelledby="headingOne-{{ loop.index }}" data-parent="#accordionExample">
                            <div class="card-body">
                                <p class="f12 font-weight-bold text-left mt-3 t-primary">#{{ v.getReferenceId() }}</p>
                                <p class="f10 font-weight-bold text-left text-dark">
                                    Les {{ v.getMethod().getName() }} {{ v.getTransaction().getTentorSubject().getCategory().getName() }}
                                    - {{ v.getTransaction().getTentorSubject().getLevel().getName() }}</p>
                                <div class="d-flex justify-content-between align-items-center">
                                    <p class="text-black-50 f10 mb-1">Tarif Tiap Pertemuan</p>
                                    <p class="text-black-50 f10 mb-1">
                                        Rp {{ v.getAmount()|number_format(0,',','.') }}</p>
                                </div>
                                <div class="d-flex justify-content-between align-items-center">
                                    <p class="text-black-50 f10">Jumlah Pertemuan</p>
                                    <p class="text-black-50 f10">{{ v.getEncounter() }}</p>
                                </div>
                                <div class="d-flex justify-content-between align-items-center">
                                    <p class="text-black-50 f10">Jumlah Siswa</p>
                                    <p class="text-black-50 f10">{{ v.getAttendees() }}</p>
                                </div>
                                <hr>
                                <div class="d-flex justify-content-between align-items-center">
                                    <p class="text-black-50 f10">Subtotal</p>
                                    <p class="text-black-50 f10">Rp {{ v.getTotal()|number_format(0,',','.') }}</p>
                                </div>
                                <div class="d-flex justify-content-between align-items-center">
                                    <p class="text-black-50 f10">Diskon</p>
                                    <p class="text-dark f10">-Rp {{ v.getDiscount()|number_format(0,',','.') }}</p>
                                </div>
                                <hr>
                                <div class="d-flex justify-content-between align-items-center mb-5">
                                    <p class="text-dark f10 font-weight-bold">Total Pembayaran</p>
                                    <p class="t-primary f10 t-primary">
                                        Rp {{ (v.getTotal()-v.getDiscount())|number_format(0,',','.') }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
            <div class="d-flex justify-content-between" style="padding-top: 1em">
                <p class="font-weight-bold text-dark mb-0">
                    Total Pembayaran
                </p>

                <p class="font-weight-bold t-primary mb-0">
                    Rp {{ summary|number_format(0,',','.') }}
                </p>
            </div>
        </div>
    </section>

    {#    <section class="container-fluid mt-5">#}
    {#        <p class="font-weight-bold text-dark mb-1 f12">#}
    {#            Dompet Digital#}
    {#        </p>#}
    {#        <p class="text-black-50 f08">Kamu dapat membayar dengan transfer melalui beberapa dompet digital</p>#}

    {#        <div class="div-color p-3 mb-3 text-left"#}
    {#             style="background-color: var(--light); border: 1px solid  var(--grey-d)">#}
    {#            <div class="d-flex justify-content-between align-items-center"#}
    {#                 style="border-bottom: 1px solid #ddd; padding-bottom: 1em">#}
    {#                <p class="mb-0 font-weight-bold">Gopay</p>#}
    {#                <img src="{{ asset('images/common/bank/b-bca.png') }}" style="height: 1em">#}
    {#            </div>#}

    {#            <div class="d-flex justify-content-between align-items-center"#}
    {#                 style="border-bottom: 1px solid #ddd; padding-bottom: 1em; padding-top: 1em">#}
    {#                <p class="mb-0 font-weight-bold">Ovo</p>#}
    {#                <img src="{{ asset('images/common/bank/b-mandiri.png') }}" style="height: 1em">#}
    {#            </div>#}

    {#            <div class="d-flex justify-content-between align-items-center" style=" padding-top: 1em">#}
    {#                <p class="mb-0 font-weight-bold">Linkaja</p>#}
    {#                <img src="{{ asset('images/common/bank/b-bri.png') }}" style="height: 1em">#}
    {#            </div>#}
    {#        </div>#}
    {#    </section>#}

    {#    <section class="container-fluid mt-5 mb-5">#}
    {#        <p class="font-weight-bold text-dark mb-1 f12">#}
    {#            Transfer Bank#}
    {#        </p>#}
    {#        <p class="text-black-50 f08">Kamu dapat membayar dengan transfer melalui ATM, Internet Banking & Mobile#}
    {#            Banking</p>#}

    {#        <div class="div-color p-3 mb-3 text-left"#}
    {#             style="background-color: var(--light); border: 1px solid  var(--grey-d)">#}
    {#            <div class="d-flex justify-content-between align-items-center"#}
    {#                 style="border-bottom: 1px solid #ddd; padding-bottom: 1em">#}
    {#                <p class="mb-0 font-weight-bold">Bank BCA</p>#}
    {#                <img src="{{ asset('images/common/bank/b-bca.png') }}" style="height: 1em">#}
    {#            </div>#}

    {#            <div class="d-flex justify-content-between align-items-center"#}
    {#                 style="border-bottom: 1px solid #ddd; padding-bottom: 1em; padding-top: 1em">#}
    {#                <p class="mb-0 font-weight-bold">Bank Mandiri</p>#}
    {#                <img src="{{ asset('images/common/bank/b-mandiri.png') }}" style="height: 1em">#}
    {#            </div>#}

    {#            <div class="d-flex justify-content-between align-items-center" style=" padding-top: 1em">#}
    {#                <p class="mb-0 font-weight-bold">Bank BRI</p>#}
    {#                <img src="{{ asset('images/common/bank/b-bri.png') }}" style="height: 1em">#}
    {#            </div>#}
    {#        </div>#}
    {#    </section>#}

    <section class="container-fluid mt-5 mb-5">
        <p class="font-weight-bold text-dark mb-1 f12">
            Transfer Bank
        </p>
        <p class="text-black-50 f08">Kamu dapat membayar dengan transfer melalui ATM, Internet Banking & Mobile
            Banking</p>

        <div class="div-color p-3 mb-3 text-left"
             style="background-color: var(--light); border: 1px solid  var(--grey-d)">
            {% for i in bank %}
                <div class="form-check d-flex align-items-center ">
                    <input class="form-check-input" type="radio" name="bank" id="bank-{{ i.getId() }}"
                           value="{{ i.getId() }}" {{ loop.first ? 'checked' : '' }}>
                    <label class="form-check-label w-100" for="exampleRadios1">
                        <a class="d-flex justify-content-between align-items-center t-black w-100"
                           style="border-bottom: 1px solid #ddd; padding-bottom: 1em; padding-top: 1em">
                            <p class="mb-0 font-weight-bold flex-grow-1 d-block mr-auto">{{ i.getBank().getName() }}
                                ({{ i.getNumber() }})</p>
                            <img src="{{ i.getBank().getIcon() }}" style="height: 1em">
                        </a>
                    </label>
                </div>

            {% endfor %}
        </div>
    </section>
    {#    <form id="form-submit" method="post" action="/member/payment/submit">#}
    {#        {% for i in invoiceId %}#}
    {#            <input name="cid[]" value="{{ i }}" type="hidden">#}
    {#        {% endfor %}#}
    {#    </form>#}
    <div class="fixed-bottom p-2 bg-white container-fluid">
        <a id="btn-pay" class="bt-accent m-1 f10 d-block w-100 mt-2">
            Bayar
        </a>
    </div>
    {#    MODAL PENCARIAN VOUCHER #}
    <div class="modal fade" id="modalPencarianVoucher" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-fullpage" role="document">
            <div class="modal-content">
                <div class="modal-body p-3">
                    {#    KETERANGAN PAGE#}
                    <div class="text-left  mb-3 d-flex border-bottom " style=" padding-bottom: .1em">
                        <a class="text-black-50 mr-3" data-dismiss="modal" aria-label="Close"><i
                                    class="fa fa-close"></i></a>
                        <p class="flex-grow-1">Gunakan Kupon</p>

                    </div>
                    <div class="d-block">
                        <div class="d-flex align-items-stretch">
                            <input type="text" class="form-control input-rounded flex-grow-1 mr-2"
                                   id="masukanKupon"
                                   placeholder="Masukan Kode">
                            <div class=" d-flex justify-content-center  ">
                                <a class="bg-primary  d-flex justify-content-center align-items-center "
                                   style="border-radius: 50px; padding: 0 1em">
                                    <i class="fa fa-arrow-right text-white"></i>
                                </a>
                            </div>
                        </div>
                    </div>


                    <section class="r-bottom mt-3" style="padding-bottom: 10px">
                        <h2 class="text-left pt-3 f12 pl-2 pr-2 font-weight-bold">Kupon</h2>
                    </section>

                    <section style="min-height: 100vh;">

                        <a class="d-block" data-toggle="modal"
                           data-target="#modalDetailVoucher">

                            <div style="border-radius: 10px; box-shadow: 0 1px 10px var(--shadowColor1)">
                                <div class="header-profile p-2">
                                    <div class="gambar-div">
                                        <img src="{{ asset('images/common/profil2-ex.png') }}"
                                             style="border-radius: 5px">
                                    </div>
                                    <div class="content"
                                         style="border-left: 1px dashed var(--primaryColor); padding-left: 1em">
                                        <p class="title f08 font-weight-bolder text-dark">SEMUAADAGURUNYA</p>
                                        <p class="f08 mb-0 text-dark">Diskon 15% untuk pemesan...</p>
                                        <p class="subtitle mb-2">Berlaku Hingga 19 Januari 2020</p>

                                        <div class="d-flex justify-content-between align-items-center">
                                            <p class="div-color mb-0 f08"
                                               style="border: 1px solid red; color: red; background-color: #f8d7da; padding: 0.4em">
                                                Sisa : 100</p>
                                            <a class="font-weight-bold t-primary">Gunakan</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </a>

                    </section>
                </div>

            </div>
        </div>
    </div>

    {#    MODAL DETAIL VOUCHER #}
    <div class="modal fade" id="modalDetailVoucher" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-fullpage" role="document">
            <div class="modal-content" style="min-height: 100vh">
                <div class="modal-body p-0 h-100 m-0">
                    {#    KETERANGAN PAGE#}
                    <div class="text-left  p-3 d-flex border-bottom container-fluid">
                        <a class="text-black-50 mr-3" data-dismiss="modal" aria-label="Close"><i
                                    class="fa fa-close"></i></a>
                        <p class="flex-grow-1 mb-0">Detail Kupon</p>

                    </div>

                    <img src="{{ asset('images/common/profil2-ex.png') }}"
                         style="height: 8em; width: 100%; object-fit: cover">

                    <div class="d-block p-3 shadow-sm text-center mb-3">
                        <p class="font-weight-bold f12 mb-0"> SEMUADAGURUNYA</p>
                        <p class="mb-1">Diskon 15% untuk pemesanan pertama</p>
                        <p class="div-color mb-0 f08 text-center ml-auto mr-auto"
                           style="border: 1px solid red; color: red; background-color: #f8d7da; padding: 0.4em 0.8em; width: fit-content">
                            Sisa : 100</p>
                    </div>

                    <div class="d-block shadow-sm mb-3">
                        <div class="d-flex justify-content-between">
                            <div class="d-flex justify-content-center align-items-center p-2 flex-grow-1 flex-column"
                                 style="border: 1px solid #ddd">
                                <p class="f08 text-black-50 mb-1">Point</p>
                                <p class="f10">100 Point</p>
                            </div>

                            <div class="d-flex justify-content-center align-items-center p-2 flex-grow-1 flex-column"
                                 style="border: 1px solid #ddd">
                                <p class="f08 text-black-50 mb-1">Point</p>
                                <p class="f10">100 Point</p>
                            </div>
                        </div>

                        <div class="d-flex justify-content-center align-items-center p-2 flex-column ">
                            <p class="f08 text-black-50 mb-1">Point</p>
                            <p class="f10">100 Point</p>
                        </div>
                    </div>

                    <section class="mt-2 container-fluid shadow-sm" style="padding-bottom: 1em">
                        <p class="font-weight-bold f10">Deskripsi</p>
                        <p class="f10 mb-0">1. Kupon ini hanya dapat digunakan satu kali</p>
                        <p class="f10 mb-0">2. Kupon ini tidak dapat diuangkan</p>
                        <p class="f10 mb-0">3. Kupon blablabla</p>
                    </section>

                    <a class="bt-primary d-block m-2 mt-5">Gunakan</a>

                </div>

            </div>
        </div>
    </div>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        async function pay(v, b) {
            genLoading('Tunggu Sebentar, Sedang Mengirim Data Pembayaran...')
            let response = await $.post('/member/payment/submit', {cid: v, vid: b});
            if (response['code'] === 200) {
                genAlert('Success', 'Pembayaran Kamu Sudah Tersimpan. Silahkan Melakukan Pembayaran');
                let id = response['payload']['invoice'];
                console.log(response);
                window.location.href = '/member/payment/detail/' + id;
            } else {
                genAlert('Gagal', 'Pembayaran Kamu Gagal Tersimpan. Silahkan Menghubungi Admin')
            }
        }

        $(document).ready(function () {
            let i_id = JSON.parse('{{ invoiceId|json_encode|raw }}');
            let vendor = $('input[name=bank]:checked').val();
            $('#btn-pay').on('click', function () {
                pay(i_id, vendor);
            })
        })
    </script>
{% endblock %}